Package org.apache.ignite.lang

## Class IgniteFutureCancelledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.lang.IgniteFutureCancelledException

- All Implemented Interfaces:
    `Serializable`

      public class IgniteFutureCancelledException
      extends IgniteException

  Future computation cannot be retrieved because it was cancelled.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IgniteFutureCancelledException​(String msg)` | Creates new exception with given error message.
    `IgniteFutureCancelledException​(String msg, @Nullable Throwable cause)` | Creates a new exception with given error message and optional nested cause exception.
    `IgniteFutureCancelledException​(Throwable cause)` | Creates new exception with given throwable as a nested cause and source of error message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.ignite.IgniteException

      `getCause, hasCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteFutureCancelledException

          public IgniteFutureCancelledException​(String msg)

      Creates new exception with given error message.
      Parameters:
        `msg` - Error message.

    - #### IgniteFutureCancelledException

          public IgniteFutureCancelledException​(Throwable cause)

      Creates new exception with given throwable as a nested cause and source of error message.
      Parameters:
        `cause` - Non-null throwable cause.

    - #### IgniteFutureCancelledException

          public IgniteFutureCancelledException​(String msg,
                                                @Nullable
                                                @Nullable Throwable cause)

      Creates a new exception with given error message and optional nested cause exception.
      Parameters:
        `msg` - Error message.
        `cause` - Optional nested exception (can be `null`).